export type CookieOptions = {
    expireTimes?: string | number | Date;
    path?: string;
    domain?: string;
    secure?: boolean;
    sameSite?: string;
};
declare class CookieService {
    private static _instance;
    private static _globalCookieOptions;
    private constructor();
    static get Instance(): CookieService;
    setGlobalCookieOptions(options: CookieOptions): void;
    set<T extends Object | string>(keyName: string, value: T, options?: CookieOptions): void;
    get(keyName: string): any;
    isKey(keyName: string): boolean;
    remove(keyName: string, options?: CookieOptions): boolean;
}
export declare const useCookies: () => CookieService;
export {};
